virtualRobot=actxserver('IITDelhi.VirtualRobotCOMServer') %Connect to VirtualKUKA Application using COM and ActiveX
virtualRobot.StartKUKAKR5Robot() %starts virtual robot in a new form
%form is shown., now., you can change the joint angles, by sending 

jointArray = zeros(6,1);
feature('COM_SafeArraySingleDim', 1) %the array to be sent to C# COM object should be SafeArray
for i = 1:90
   jointArray(1) = i; %Set values of each joint angle in MATLAB, angles in degree
   jointArray(2) = 90-i*0.5;
   jointArray(3) = -i*0.25;
   jointArray(4) = i;
   jointArray(5) = 180-i;
   jointArray(6) = i;
   virtualRobot.UpdateRobot(jointArray) % Update the joint angles of Virtual Kuka by sending MATLAB Array
   
   pause(0.05) % Acts as a time interval between two frames of animation.,    
end
feature('COM_SafeArraySingleDim', 0)%now, we can disable SafeArray     

pause(2) % pause and then exit.,
virtualRobot.DisposeRobot() %Closes the Virtual Robot Form